DataSource (The Data Transfer Scheduler DB interface 2.1.0-SNAPSHOT API)
Date: 2018-09-22

org.gcube.datatransfer.scheduler.db.model

## Class DataSource

- java.lang.Object
- - org.gcube.datatransfer.scheduler.db.model.DataSource

- All Implemented Interfaces:
    Serializable

      public class DataSource
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCardinality()`
    `String` | `getDataSourceId()`
    `String` | `getDataSourceIdOfIS()`
    `String` | `getDataSourceName()`
    `String` | `getDescription()`
    `String` | `getEndpoint()`
    `String` | `getFolder()`
    `String` | `getPass()`
    `String` | `getScope()`
    `String` | `getStatus()`
    `String` | `getType()`
    `String` | `getUsername()`
    `void` | `setCardinality(String cardinality)`
    `void` | `setDataSourceId(String dataSourceId)`
    `void` | `setDataSourceIdOfIS(String dataSourceIdOfIS)`
    `void` | `setDataSourceName(String dataSourceName)`
    `void` | `setDescription(String description)`
    `void` | `setEndpoint(String endpoint)`
    `void` | `setFolder(String folder)`
    `void` | `setPass(String pass)`
    `void` | `setScope(String scope)`
    `void` | `setStatus(String status)`
    `void` | `setType(String type)`
    `void` | `setUsername(String username)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSource

          public DataSource()

  - ### Method Detail

    - #### getDataSourceId

          public String getDataSourceId()

    - #### setDataSourceId

          public void setDataSourceId(String dataSourceId)

    - #### getDataSourceName

          public String getDataSourceName()

    - #### setDataSourceName

          public void setDataSourceName(String dataSourceName)

    - #### getCardinality

          public String getCardinality()

    - #### setCardinality

          public void setCardinality(String cardinality)

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### getEndpoint

          public String getEndpoint()

    - #### setEndpoint

          public void setEndpoint(String endpoint)

    - #### getScope

          public String getScope()

    - #### setScope

          public void setScope(String scope)

    - #### getUsername

          public String getUsername()

    - #### setUsername

          public void setUsername(String username)

    - #### getPass

          public String getPass()

    - #### setPass

          public void setPass(String pass)

    - #### getDataSourceIdOfIS

          public String getDataSourceIdOfIS()

    - #### setDataSourceIdOfIS

          public void setDataSourceIdOfIS(String dataSourceIdOfIS)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getFolder

          public String getFolder()

    - #### setFolder

          public void setFolder(String folder)

    - #### getDescription

          public String getDescription()

    - #### setDescription

          public void setDescription(String description)

Copyright © 2018. All Rights Reserved.